<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.workshop.dao.CheckDao">
    <resultMap id="BaseResultMap" type="com.sy.coinage.workshop.model.Check">
        <id column="id" jdbcType="INTEGER" property="id"/>
        <result column="order_no" jdbcType="VARCHAR" property="orderNo"/>
        <result column="qty" jdbcType="INTEGER" property="qty"/>
        <result column="ware_id" jdbcType="INTEGER" property="wareId"/>
        <result column="ware_cn" jdbcType="VARCHAR" property="wareCn"/>
        <result column="dept" jdbcType="VARCHAR" property="dept"/>
        <result column="dept_id" jdbcType="INTEGER" property="deptId"/>
        <result column="securities_id" jdbcType="INTEGER" property="securitiesId"/>
        <result column="securities" jdbcType="VARCHAR" property="securities"/>
        <result column="create_time" jdbcType="TIMESTAMP" property="createTime"/>
        <result column="operator_id" jdbcType="INTEGER" property="operatorId"/>
        <result column="operator_cn" jdbcType="VARCHAR" property="operatorCn"/>
        <result column="check_id" jdbcType="INTEGER" property="checkId"/>
        <result column="checker" jdbcType="VARCHAR" property="checker"/>
        <result column="qty_product" jdbcType="INTEGER" property="qtyProduct"/>
        <result column="status" jdbcType="INTEGER" property="status"/>
        <result column="crown_prefix" jdbcType="VARCHAR" property="crownPrefix"/>
    </resultMap>
    <sql id="Base_Column_List">
        id
        , order_no, qty, ware_id, ware_cn, dept_id, dept, securities_id, securities, create_time, operator_id, operator_cn, check_id, checker, qty_product, status, crown_prefix
    </sql>

    <!--  <select id="queryPageList" resultType="com.sy.coinage.workshop.vo.CheckVO">-->
    <!--    SELECT-->
    <!--    rfid_check.*-->
    <!--    FROM-->
    <!--    rfid_check-->
    <!--    LEFT JOIN-->
    <!--    rfid_check-->
    <!--    ON-->
    <!--    rfid_check.id = rfid_check.id-->
    <!--    <if test="ew.emptyOfWhere == false">-->
    <!--      ${ew.customSqlSegment}-->
    <!--    </if>-->
    <!--  </select>-->

</mapper>

